function showmsg(msgTxt,ok){
	if(ok){
		$("#statusmsg").removeClass("alert-danger");
		$("#statusmsg").addClass("alert-success");
		$("#statusmsg").html("<strong>Ok!</strong> " + msgTxt);
	}
	else{
		$("#statusmsg").removeClass("alert-success");
		$("#statusmsg").addClass("alert-danger");
		var error;
		$("#statusmsg").html("<strong>Error!</strong><br>");
		for(error in msgTxt){			
			$("#statusmsg").append("<span>"+msgTxt[error]+"</span><br>");
		}
	}
	$("#statusmsg").show();
}
function limpiarFormRegistro(){
	$("#registerform input").val("");
	$("#registerform textara").val("");
	$("#registerform #btntipodoc").html('Tipo <span class="caret"></span>');
	$("#registerform #btnpais").html('Pais <span class="caret"></span>');
	$("#registerform #btntrabaja").html('Seleccione <span class="caret"></span>');
	$('#registerform input[name="financiacion"]').prop("checked",false);
	grecaptcha.reset();
	//$("#statusmsg").hide();
}

function inputvalidate(){
	var parent = $(this).parents("div.form-group");
	if($(this).is(":invalid"))
		parent.addClass("has-error");		
	else{
		parent.removeClass("has-error");
		//parent.removeClass("has-warning");
		parent.addClass("has-success");
	}
}
function onReturnCallback(response){
	if(response != ""){		
		$("div.g-recaptcha").tooltip("hide");
		$("div.g-recaptcha").tooltip("destroy");		
	}
}
function validateTextarea(){
	if($(this).val() == ""){
		//$('#detallefinan').removeClass("has-warning");
		$('#detallefinan').addClass("has-error");
		$("#detallefinan textarea").tooltip("hide");
		$("#detallefinan textarea").tooltip("destroy");
	}
	else{
		//$('#detallefinan').removeClass("has-warning");
		$('#detallefinan').removeClass("has-error");
		$('#detallefinan').addClass("has-success");
		
	}
}
function loadFragments(){
	$("#header").load("snippets/header.html",routeMenu); 
	$("#footer").load("snippets/footer.html"); 
	$(".sidebar").load("snippets/sidebar.html");
}
function routeMenu(){
	var ruta = window.location.pathname.split(".")[0];
	$("ul#menu li").removeClass("selected");
	switch(ruta){
		case "/":
			$("li#home").addClass("selected");
			break;
		case "/contacto":
			$("li#contacto").addClass("selected");
			break;
		case "/registro":
			$("li#registro").addClass("selected");
			break;
		case "/mapa":
			$("li#mapa").addClass("selected");
			break;
		case "/programa":
			$("li#programa").addClass("selected");
			break;
		default:
	}
}

$(document).ready(function(){
	//loadFragments();
	routeMenu();
	$("#statusmsg").hide();
	$('input').focusin(inputvalidate);
	$('input').focusout(inputvalidate);
	$('input').keyup(inputvalidate);
	$("#detallefinan textarea").focusin(validateTextarea);
	$("#detallefinan textarea").focusout(validateTextarea);
	$("#detallefinan textarea").keyup(validateTextarea);	

	$('#contactform').submit(function(event){
        var fail=false;
		$("#statusmsg").hide();
		event.preventDefault();
		if($('#g-recaptcha-response').val() == ""){			
            	$("div.g-recaptcha").tooltip({
				"title":'Marque "No soy un robot"',
				"pacement":"right",
				"trigger":"manual"
			});
			$("div.g-recaptcha").tooltip("show");
			fail=true;
        }
        if(!fail){
            var post = $.post('contact', $(this).serialize());
            post.done(function(data){
                data = $.parseJSON(data);
                if(data.success){
                    showmsg(data.message,true);
                }
                else{
                    showmsg(data.message,false);

                }
                console.log(data)

            });
            post.fail(function(error){
                console.log(error)
            });
        }
	});	
	$("#detallefinan").hide();	
	$("#detallefinan textarea").val("");
	var finan;
	$('input:radio[name="financiacion"]').change(function(){
		finan=true;
		if($(this).is(':checked') && $(this).val() == "si"){
			$("#detallefinan").show();			
			$("#detallefinan textarea").addClass("has-error");			
		}
		else
			$("#detallefinan").hide();
		
		$('#sifinan').tooltip("hide");
	  	$('#sifinan').tooltip("destroy");
	});
	
	var tipodoc;
	$('#tipodoc li a').click(function(event){	
	  event.preventDefault();
	  $('#btntipodoc').tooltip("hide");
	  $('btnpais').tooltip("destroy");
	  tipodoc = $(this).text();
      $("#btntipodoc").text($(this).text());
      $("#btntipodoc").val($(this).text());
      if(tipodoc == "Otro"){
      	$("#txtdocnro").attr('placeholder', 'Escriba su documento');
      	$("#txtdocnro").removeAttr('pattern');
      }
      if(tipodoc == "C.I."){
      	$("#txtdocnro").attr('placeholder', '1234567-0');
      	$("#txtdocnro").attr('pattern', '[0-9]{5,7}-[0-9]');
      }
    });  
    var pais;
    $('#lstpais li a').click(function(event){	
	  event.preventDefault();	
	  pais = $(this).text();
	  $('#btnpais').tooltip("hide");
	  $('btnpais').tooltip("destroy");
      $("#btnpais").text($(this).text());
      $("#btnpais").val($(this).text()); 
	});
	var trabaja;
    $('#lsttrabaja li a').click(function(event){	
	  event.preventDefault();	
	  trabaja = $(this).text();
	  $('#btntrabaja').tooltip("hide");
	  $('btnpais').tooltip("destroy");
      $("#btntrabaja").text($(this).text());
      $("#btntrabaja").val($(this).text()); 
	});

	$('#registerform').submit(function(event){
		var fail = false;
		$("#statusmsg").hide();		
		event.preventDefault();
		if(tipodoc == null){			
			$('#btntipodoc').tooltip({
				"title":"Seleccione Tipo de Documento",
				"html":true,
				"pacement":"auto left",
				"trigger":"manual",
				"delay":{"show":100,"hide":2000}
				
			});
			$('#btntipodoc').tooltip("show");
			fail=true;
			
		}
		if(pais == null){
			$('#btnpais').tooltip({
				"title":"Seleccione País",
				"html":true,
				"pacement":"auto left",
				"trigger":"manual",
				"delay":{"show":100,"hide":2000}
				
			});
			$('#btnpais').tooltip("show");
			fail=true;
		}
		if(trabaja == null){
			$('#btntrabaja').tooltip({
				"title":"Especifique donde trabaja",
				"html":true,
				"pacement":"auto left",
				"trigger":"manual",
				"delay":{"show":100,"hide":2000}
				
			});
			$('#btntrabaja').tooltip("show");
			fail=true;
		}
		if(!finan){
			$('#sifinan').tooltip({
				"title":"Especifique si precisa financiación",
				"pacement":"auto right",
				"trigger":"manual"				
			});
			$('#sifinan').tooltip("show");	
			fail=true;
		}
		if($("#detallefinan textarea").val()=="" && 
			$('input:radio[name="financiacion"]:checked').val()=="si"){
			$("#detallefinan textarea").tooltip({
				"title":"Escriba el detalle",
				"html":true,
				"pacement":"auto left",
				"trigger":"manual"
				});
			$("#detallefinan textarea").tooltip("show");
			fail=true;
		}
		if($('#g-recaptcha-response').val() == ""){			
			$("div.g-recaptcha").tooltip({
				"title":'Marque "No soy un robot"',
				"pacement":"right",
				"trigger":"manual"
			});
			$("div.g-recaptcha").tooltip("show");
			fail=true;
		}
		
		if(!fail){
			$("#txtpais").val(pais);	
			$("#txttipodoc").val(tipodoc);
			$("#txttrabaja").val(trabaja);
			console.log($(this).serialize());

			var post = $.post('register', $(this).serialize());
			post.done(function(data){
				console.log(data);
			data = $.parseJSON(data);
			if(data.success){
				showmsg("Registro Exitoso. <br/>Usted recibirá un e-mail con la confirmación de su registro",true);
				limpiarFormRegistro();
			}
			else{
				showmsg(data.errors,false);
			}
			console.log(data)

			});
			post.fail(function(error){
				console.log(error)
		
			});
		}
	});
});
